com.h3c.sdn.misc

## Class LocationHealth

- java.lang.Object
- - com.h3c.util.health.Health<LocationHealth.Category>
  - - com.h3c.sdn.misc.LocationHealth

- All Implemented Interfaces:
    Encodable, Comparable<Health<LocationHealth.Category>>

      public class LocationHealth
      extends Health<LocationHealth.Category>

  Instances of this class denote the health of a location.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LocationHealth.Category` The components that make up a location's health.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocationHealth()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class<LocationHealth.Category>` | `getCategoryEnumClass()` Subclasses must return the class of category enumeration that they parameterized themselves with.
    `static LocationHealth` | `valueOf(String blueprint)` Rehydrate an encoding of a LocationHealth instance.

    - ### Methods inherited from class com.h3c.util.health.Health

      `compareTo, equals, getAggregateState, getState, getTimestamp, hashCode, setState, toDebugString, toEncodedString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocationHealth

          public LocationHealth()

  - ### Method Detail

    - #### getCategoryEnumClass

          protected Class<LocationHealth.Category> getCategoryEnumClass()

      Description copied from class: `Health`
      Subclasses must return the class of category enumeration that they parameterized themselves with.
      Specified by:
        `getCategoryEnumClass` in class `Health<LocationHealth.Category>`
      Returns:
        the category enumeration class

    - #### valueOf

          public static LocationHealth valueOf(String blueprint)

      Rehydrate an encoding of a LocationHealth instance.
      Parameters:
        `blueprint` - the blueprint
      Returns:
        the LocationHealth

Copyright © 2014. All Rights Reserved.